package com.example.nan_scan;

import android.app.Activity;
import android.content.Context;

import io.flutter.embedding.engine.plugins.activity.ActivityPluginBinding;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class NanScanFactory extends PlatformViewFactory {

    private BinaryMessenger binaryMessenger;
    private Context context;
    private Activity activity;
    private ActivityPluginBinding activityPluginBinding;
    public NanScanFactory(BinaryMessenger binaryMessenger, Context context, Activity activity, ActivityPluginBinding activityPluginBinding) {
        super(StandardMessageCodec.INSTANCE);
        this.binaryMessenger = binaryMessenger;
        this.context = context;
        this.activity = activity;
        this.activityPluginBinding = activityPluginBinding;
    }

    @Override
    public PlatformView create(Context context, int viewId, Object args) {
//        return new NanScanView(context,viewId,args,binaryMessenger);
        return  new NanScanView(binaryMessenger,context,activity,activityPluginBinding,viewId,args);
    }

//    NanScanView(BinaryMessenger binaryMessenger, Context context, Activity activity,ActivityPluginBinding activityPluginBinding,int viewId, Object args){
//
//
//    }

}
